Probleemer mat FlashPlayer a Firefox 21+? Hei d'Léisung

Wéi vill wëssen ech benotzen Debian, an d'Installatioun vu Firefox Ech maachen et manuell aus ville Grënn folgend dëse Schrëtt.

Et geschitt, datt mat der Sortie vun Firefox 21, FlashPlayer ugefaang Problemer ze presentéieren, net Feeler, awer datt de Browser et net konnt fannen.

Normalerweis kéint Dir FlashPlayer am Firefox benotze wéi erkläert am dësen Artikel. Awer net méi.

Dëst ass well mat Firefox 21, den Dossier gëtt net méi benotzt ~ / .mozilla / Plugins / fir FlashPlayer, awer de Wee huet geännert. Elo den Dossier Plugins et läit am Verzeechnes wou et installéiert ass Firefox.

Zum Beispill, a mengem Fall, wann ech den .tar.gz, Ech kopéieren den Dossier Firefox en ~ / .lokal / Apps /, dofir sinn elo d'Schrëtt fir ze verfollegen déi folgend:

1- Ech lueden déi lescht Versioun vum FlashPlayer fir 64Bëssen:

cd ~
$ wget http://fpdownload.macromedia.com/get/flashplayer/pdc/11.2.202.285/install_flash_player_11_linux.x86_64.tar.gz

2- Ech packen den .tar.gz aus:

$ tar xfv install_flash_player_11_linux.x86_64.tar.gz

Dëst extrahéiert 2 Dateien an en Dossier:

  • readme.txt
  • libflashplayer.so
  • usr /

4- Mir erstellen den Dossier Plugins am Verzeechnes wou Firefox installéiert ass, a mengem Fall wier et:

$ mkdir ~/.local/apps/firefox/plugins

An e puer Foren hunn ech gesinn datt de Plugins-Ordner wann et net an deem Wee funktionnéiert, muss et sinn ~ / .local / apps / firefox / browser / plugins

Also datt et keng Probleemer mat dësem sinn, kreéiere mir e symbolesche Link:

$ ln -s ~/.local/apps/firefox/plugins ~/.local/apps/firefox/browser/plugins

5- Mir kopéieren d'Datei libflashplayer.so:

$ cp libflashplayer.so ~/.local/apps/firefox/plugins

6- Mir kopéieren den Inhalt vum Dossier / usr  an de Verzeechnes / usr:

$ sudo cp -Rv usr/* /usr

Dëst sollt genuch sinn. Wann et aus irgendege Grënn ëmmer nach net geet, maache mir en neien Tab op, typ iwwer: config a mir sichen de Parameter:

plugins.load_appdir_plugins

A wann et an falsch mir setzen et an richteg.

Fäerdeg. No dëse Schrëtt hunn ech schonn de FlashPlayer erëm geschafft, och wann ech et kaum benotzen 😛


Den Inhalt vum Artikel hält sech un eis Prinzipie vun redaktionnell Ethik. Fir e Feeler ze mellen klickt hei.

30 Kommentaren, loosst ären

Gitt Äre Kommentar

Är Email Adress gëtt net publizéiert ginn. Néideg Felder sinn markéiert mat *

*

*

  1. Responsabel fir d'Daten: Miguel Ángel Gatón
  2. Zweck vun den Donnéeën: Kontroll SPAM, Kommentarmanagement.
  3. Legitimatioun: Är Zoustëmmung
  4. Kommunikatioun vun den Donnéeën: D'Donnéeë ginn net un Drëttubidder matgedeelt ausser duerch legal Verpflichtung.
  5. Datenspeicher: Datebank gehost vun Occentus Networks (EU)
  6. Rechter: Zu all Moment kënnt Dir Är Informatioun limitéieren, recuperéieren an läschen.

  1.   ee vun e puer sot

    Hmm.Wat ass falsch mam Eisewäiss 21 mam Flashplayer-Nonfree Package ze benotzen?

    Um Enn vum Dag ass et de Firefox 21 mat Debian Stil an sou ass et kee Problem.

    1.    eliotime3000 sot

      Dir wäert soen flashplugin-nonfree.

      Am Äisbier gëtt et keng Probleemer.

      1.    ee vun e puer sot

        Et ass richteg que ass datt de Pot mech verlooss huet ha ha ha.

  2.   eliotime3000 sot

    Daf ?!
    Ech installéieren de Flash Player mam Skript deen Debian am Kontrib repo huet, a bis elo hunn ech keng Problemer mam Flash Player.

    Jiddefalls, mam Iveweasel funktionéiert de Flash Player Wonner

  3.   anubis_linux sot

    Dat geschitt net am Chrome hehehe, dofir fannen ech et sou gutt hehe

    1.    pandev92 sot

      Chrom Flash ass schrecklech ...

      1.    Gato sot

        Ech ënnerstëtzen et

        1.    Krlos sot

          Ech sinn och averstan.

      2.    eliotime3000 sot

        Och ech, dofir ginn ech ongeféier: Plugins an deaktivéieren de Peffer Flash Player a loossen de Flash Player aktiv.

    2.    Hanger sot

      Ech hunn Chrom benotzt well Flash war vill besser fir mech, awer am leschten Update (ech sinn op wheezy) huet et ugefaang ze funktionéieren.
      Op d'mannst hunn ech d'Skalen a Richtung Iesel gekippt (mam YouTube html5 Test geet et mir relativ gutt)

  4.   eliotime3000 sot

    De Pefferblëtz vu Google Chrome ass schwéier wann Dir Videoen op YouTube kuckt, dofir hunn ech léiwer dausend Mol Chromium amplaz Google Chrome ze benotzen (déi Plugins déi en integréiert huet si schwéier u sech a bremsen d'Performance vum Browser).

  5.   eliotime3000 sot

    An doduerch datt de Flashplugin-nonfree einfach e Skript ass deen de Flash Player vun adobe.com op Debian erofluet baséiert op der Architektur déi installéiert ass.

    Jiddefalls ass d'Gnod a wéi de Flash Player manuell installéiert gëtt (ech hunn Firefox 21 probéiert a mam Flash Player installéiert aus dem Debian Skript ass et kee Problem.

  6.   Aaron sot

    Et ass komesch datt dat bei Fedora net geschitt ass wann ech vu Firefox 20 op 21 komesch aktualiséiert hunn, awer elo benotze ech GNOME Web a seng Versioun 3.8 ënnerstëtzt Flash also hunn ech kee Problem, ech bieden Iech et ze probéieren, et ass ganz séier.

  7.   sou wéi sot

    Also dëse Problem gëllt nëmme fir Debian? well ech hu kee Problem.

    1.    sou wéi sot

      Ech benotze Chromium, net GC x)

      1.    eliotime3000 sot

        Ech gleewen Iech, well ech och Chrom benotzen (den Nuetsbau fir Windows) a vill Distros beméien sech net de Chromium User Agent z'änneren (Standard seet de Chrom User Agent ëmmer Chrom, well et ass eng experimentell Versioun vu Google Chrome. selwer).

  8.   tavo sot

    Ech installéieren et ëmmer an / usr / lib / mozilla / plugins och an dëser Versioun 21 ... Ech klären datt ech Äisbier benotzen

    1.    eliotime3000 sot

      Ech sinn méi faul, well ech de "flashplugin-nonfree" Package aus der Kontribszweig vun den Debian Repos benotzen an ech hunn de Flash Player direkt vun Adobe erofgelueden, prett fir an all Browser ze benotzen.

  9.   eldebiandepepe sot

    Wann Dir en 32-Bit Computer hutt, da kopéiert d'Datei "libflashplayer.so" an / usr / lib / mozilla / plugins / sollt genuch sinn ... Ech huelen un datt et op engem 64-Bit Computer d'selwecht ass, awer wann Ech erënnere mech richteg, an der Debian Lëscht op Spuenesch hunn ech gelies datt iergendeen Probleemer mat der Installatioun vu Flash in Wheeze mat der leschter hat ... Ech weess et net, et wier eng Saach ze kucken.

    1.    eliotime3000 sot

      Ech hunn den Adobe Flash Player duerch de "flashplugin-nonfree" Package installéiert an den offiziellen Debian Repos fonnt (speziell, am Contrib). Wann ech Probleemer hat, hunn ech se net, also kann et sinn datt wann ech et manuell installéieren hunn ech net de Verzeechnes benotzt deen fir all Browser benotzt gëtt (och Mozilla Firefox).

      Egal wéi, ech hu keng Probleemer mat der Installatioun vum Flash Player weder am Iceweasel nach am Firefox.

  10.   Mario sot

    An Firefox 21 gouf et eng nei Uerdnung vun den Dateien déi an tar.bz2 sinn. De Browser-Ordner gouf erstallt an elo huet den «Chrom» -Dossier (net ze verwiessele mam Browser) an Dateie wéi mozicon128.png hir Positioun geännert an deen Dossier ... selbstverständlech kënnen et Problemer ginn (meng Ofkierzung hat de Moien keng Ikon : P). Et ass nach ëmmer komesch Executables an .local ze setzen ... d'Tutorials déi ech gelies hunn bal ëmmer op / opt an ubuntu weist op / usr / lib, dat kéint d'Ursaach vu Feeler sinn, well Plugins ëmmer duerch Lib goen

  11.   sieg84 sot

    Gutt, a Fedora an openSUSE hat ech keng Probleemer.

  12.   Petercheco sot

    Et ass witzeg, well ech kee Problem mam Flash op mengem Firefox 21 hat.
    Speziell benotze ech de Package verfügbar an den Debian Repos:

    Shockwave Blëtz 11.2.202.285
    Icedtea-Web Plugin 1.3.2

    Firefox Ech installéieren et einfach mat:

    Ech lueden de Package erof, entpacken a kopéieren den Inhalt op / opt. Dann erstellen ech de symbolesche Link vun / opt / firefox / firefox op usr / bin / firefox a kreéiert de Launcher am KDE Menu an dat ass et 🙂

    1.    eliotime3000 sot

      Ech hu keng Probleemer "Flashplugin-nonfree" op Debian ze installéieren, well ech de Flash Player benotzt hunn ech keng Problemer mam Iceweasel a Chromium.

      Loosst eis kucken ob mat OpenJDK an IcedTea et nëtzlech ass Videoen mat keepvid.com erofzelueden

      1.    eliotime3000 sot

        Off Thema:

        An der ZPanel Installatioun hunn ech de seriéise Feeler gemaach de Webserver, SQL Server, DNS Server, Dateieserver, Mail Server an ssh Server Optiounen net ze hunn aktivéiert, well de Skript funktionnéiert wann dës Komponente installéiert sinn (Apache, MariaDB ...) A wann et an der virtueller Maschinn emuléiert gëtt, muss de Bréckadapter benotzt ginn fir an de Panel eranzekommen ouni duerno Konsequenzen ze leiden (wéi war mäi Fall).

        1.    eliotime3000 sot

          PS: Installéiert PHP oder wann net, da luet Dir eng Datei erof ouni Extensioun. Maach et.

  13.   jony127 sot

    Gutt, ech verstinn dat net vill, ech hu meng Firefox op wheezy manuell installéiert / opt an de Flashplugin-netfräi vun de Repos an alles ass perfekt nom Update op Firefox 21.

  14.   juancuyo sot

    Ech weess net firwat déi Manie vun der Aktualiséierung vun der ganzen Zäit ass, ech hunn Nero 7 zënter 2006 installéiert, de VLC huet spektakulär fir mech geschafft ... bis ech et aktualiséieren, elo heiansdo seet et mir datt et de RML net fënnt (oder sou eppes) a nee Dir kënnt d'DVD opmaachen. All Dag hunn ech méi Roserei iwwer d'Aktualiséierungen. Yoono am Firefox war eng Kugel elo weess ech net firwat ech all dacks d'Benotzer nei lueden. Just am Fall wou Thunderbird a Firefox se net aktualiséieren oder an der Häll. Ech freeën mech op Debian 7 ze installéieren (ech muss nach en HD kafen) an all gratis Software hunn an ouni Joren ze aktualiséieren ...

    1.    jony127 sot

      Mann wann Dir net ëmmer op déi lescht stabil Debian aktualiséiert, da kann et praktesch oder souguer Centos kommen. Awer aktualiséiert Software liwwert Iech nei Funktionalitéiten, vermeintlech Performance Verbesserungen, Ënnerstëtzung fir nei Features, Bug Fixen, déi lescht fir mech ganz wichteg an de Webbrowser, gutt an allgemeng.

      Dir musst net genau déi lescht Versioun hunn, zum Beispill an enger Opnahmesoftware well et schéngt net wichteg fir mech oder och fir vlc wann d'Versiounen déi Dir hutt gutt fir Iech sinn, awer fir aner Software wéi eng Webbrowser ass et wichteg.